# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Config.pm) perl(Exporter.pm) perl(FindBin.pm) perl(IO/Dir.pm) perl(Scalar/Util.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
#global _use_internal_dependency_generator 0
#global __find_provides    %{_rpmconfigdir}/find-provides | grep -v Parser
#global __find_requires    %{_rpmconfigdir}/find-requires | grep -v Parser

Name:          perl-Verilog-Perl
Version:       3.314
Release:       alt1_3
Summary:       Verilog parsing routines

License:       LGPLv3 or Artistic 2.0
Group:         Engineering

URL:           http://www.veripool.org/wiki/verilog-perl
Source0:       http://search.cpan.org/CPAN/authors/id/W/WS/WSNYDER/ftp/Verilog-Perl-%{version}.tar.gz


BuildRequires: gdbm-devel
BuildRequires: flex bison
BuildRequires: perl
BuildRequires: perl(Digest/SHA.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(IO/File.pm)
BuildRequires: perl(Pod/Usage.pm)
# Run-time
BuildRequires: perl(base.pm)
BuildRequires: perl(Carp.pm)
BuildRequires: perl(Cwd.pm)
BuildRequires: perl(DynaLoader.pm)
BuildRequires: perl(File/Path.pm)
BuildRequires: perl(File/Spec.pm)
# Tests
BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(Test.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Time/HiRes.pm)
# Optional tests
BuildRequires: perl(Test/Pod.pm)


Provides:      perl-Verilog = %{version}-%{release}
Obsoletes:     perl-Verilog     < 3.213-2
Source44: import.info

%description
This package provides functions to support writing utilities
that use the Verilog language.

%prep
%setup -q -n Verilog-Perl-%{version}

#Filtering Requires: and Provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
sed -e '/perl(mypackage)/d' -e '/perl(imp_test_pkg)/d'
EOF

%global __perl_provides %{_builddir}/Verilog-Perl-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(mypackage)/d' -e '/perl(imp_test_pkg)/d'
EOF

%global __perl_requires %{_builddir}/Verilog-Perl-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build

%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor \
     PREFIX=%{_prefix} \
     LDFLAGS="-L%{_libdir}" \
     LDDLFLAGS="%{optflags} -L%{_libdir}"

make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}


find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'


# Free Electronic Lab : Package Self Test
%check
make test ||:


%files
%doc Changes COPYING README verilog/
%dir %{perl_vendorarch}/Verilog
%dir %{perl_vendorarch}/auto/Verilog
%{_bindir}/*
%{perl_vendorarch}/Verilog/*
%{perl_vendorarch}/auto/Verilog/*
%{_mandir}/man?/*


%changelog
* Thu Oct 11 2012 Igor Vlasenko <viy@altlinux.ru> 3.314-alt1_3
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 3.304-alt2_5
- rebuild with new perl

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 3.304-alt1_5
- fc import

